# pysypt

Python wrapper around [jasypt](http://www.jasypt.org/) for encrypting and decrypting strings using the BouncyCastle
Provider. The corresponding java code is located in `src/java/encryption-app`

## Usage

```python
import pysypt

message = "my secret message"
key = "secret_key"

encrypted = pysypt.encrypt(message, key=key)

print(encrypted)
# output
# pmwLKcnp8KP8jHDUf9r21Pbr8L/jQcKeOlcIrLosYSWpL6DhCY+APpSlPRwGl1EB

print(pysypt.decrypt(encrypted, key=key))
# output
# my secret message
```

## Build package from source

In the project root you can find `build_pypi_package.sh`, which takes care of first building the java app, then bundling
it together with the python code into a pypi package. The resulting package can be found in the `dist/` directory.
